<template>
  <div>
    <h1>Productos más vistos</h1>
    <carousel
      :perPageCustom="[
        [0, 1],
        [690, 3],
        [1264, 4]
      ]"
      :navigate-to="some - local - property"
      :mouse-drag="false"
      :autoplay="true"
      :autoplay-direction="forward"
      :loop="true"
      :paginationEnabled="false"
      :data="moreViewedProductsList"
    >
      <slide v-for="(item, index) in moreViewedProductsList" :key="index">
        <div @click="goToProductDetails(item.idproduct)">
          <img :src="item.urlphoto" />
          <h1>{{ item.name }}</h1>
          <h1>{{ item.price }} Pñ</h1>
        </div>
      </slide>
    </carousel>
  </div>
</template>

<script>
import { Carousel, Slide } from 'vue-carousel'
import API from '@/API.js'
export default {
  name: 'MostViewedProducts',
  components: {
    Carousel,
    Slide
  },
  props: {
    actualUserOfThePage: String
  },
  data() {
    return {
      moreViewedProductsList: []
    }
  },
  mounted: function() {
    this.LoadMoreViewedProductsList()
  },
  methods: {
    async LoadMoreViewedProductsList() {
      this.moreViewedProductsList = await API.LoadMoreViewedProductsList()
    },

    goToProductDetails(idproduct) {
      let idActualUser = this.actualUserOfThePage

      if (idActualUser === undefined) {
        this.$router.push('/product-detail/' + idproduct)
      } else {
        this.$router.push('/product-detail/' + idActualUser + '/' + idproduct)
      }
    }
  }
}
</script>


<style scoped>
img {
  height: 15vw;
  width: 15vw;
}
h1 {
  padding-bottom: 5%;
}
@media only screen and (max-width: 500px) {
  img {
    height: 40vw;
    width: 35vw;
  }
}
</style>
